This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146708 - loadmodules failed for rhn_activate_gui.py
loadmodules failed for rhn_activate_gui.py
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 16:43 EST by Agiliti Inc
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 08:00:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Agiliti Inc 2005-01-31 16:43:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 498, in loadModules
    vbox, pix, title = module.launch()
  File "/usr/share/firstboot/modules/rhn_activate_gui.py", line 90, in
launch
    self.setupScreen()
  File "/usr/share/firstboot/modules/rhn_activate_gui.py", line 83, in
setupScreen
    vbox  = self.activatePagePrepare()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 336, in
activatePagePrepare
    if hostname:
UnboundLocalError: local variable 'hostname' referenced before assignment

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 Jay Turner 2005-02-03 08:00:32 EST
This is a result of old code.  This error has been fixed in the most recent
code.  Please reopen if you experience this issue with the most recent code.

Note You need to log in before you can comment on or make changes to this bug.